apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.web.name }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.web.name }}
      release: {{ .Values.web.name }}
  template:
    metadata:
      labels:
        app: {{ .Values.web.name }}
        release: {{ .Values.web.name }}
    spec:
      containers:
        - name: {{ .Values.web.name }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
          readinessProbe:
            httpGet:
              path: /
              port: http
  strategy:
    type: RollingUpdate
  revisionHistoryLimit: 3